VkRenderPassBeginInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkRenderPassBeginInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkRenderPass | renderPass
VkFramebuffer | framebuffer
VkRect2D | renderArea
uint32_t | clearValueCount
const VkClearValue * | pClearValues

## Detailed Description

Definition at line 2443 of file vulkan.h.

## Field Documentation

## clearValueCount

uint32_t VkRenderPassBeginInfo::clearValueCount

Definition at line 2449 of file vulkan.h.

## framebuffer

VkFramebuffer VkRenderPassBeginInfo::framebuffer

Definition at line 2447 of file vulkan.h.

## pClearValues

const VkClearValue* VkRenderPassBeginInfo::pClearValues

Definition at line 2450 of file vulkan.h.

## pNext

const void* VkRenderPassBeginInfo::pNext

Definition at line 2445 of file vulkan.h.

## renderArea

VkRect2D VkRenderPassBeginInfo::renderArea

Definition at line 2448 of file vulkan.h.

## renderPass

VkRenderPass VkRenderPassBeginInfo::renderPass

Definition at line 2446 of file vulkan.h.

## sType

VkStructureType VkRenderPassBeginInfo::sType

Definition at line 2444 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h